include/typedefs.hpp(3)

NAME
include/typedefs.hpp - Useful typedefs for cleaner code.

SYNOPSIS

#include <vector>
#include <armadillo>

  Typedefs
typedef std::vector< arma::vec::fixed< 3 > > sim_cols
Typedef for the column of the result vector from simulating particles.
typedef std::vector< arma::vec::fixed< 3 > > sim_rows
Typedef for the row of the result vector from simulating particles.
typedef std::vector< sim_cols > sim_arr
Typedef for the result of the simulate method.
typedef arma::vec::fixed< 3 > vec_3d
Typedef for a fixed 3d arma vector.

Detailed Description

Useful typedefs for cleaner code.

Author
    Cory Alexander Balaton (coryab)

    Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
    1.0

These typedefs make the code more readable and easy to follow along.

Bug
    No known bugs

Definition in file typedefs.hpp.

Typedef Documentation

  typedef std::vector<sim_cols> sim_arr

Typedef for the result of the simulate method.

Definition at line 32 of file typedefs.hpp.

  typedef std::vector<arma::vec::fixed<3> > sim_cols

Typedef for the column of the result vector from simulating particles.

Definition at line 24 of file typedefs.hpp.

  typedef std::vector<arma::vec::fixed<3> > sim_rows

Typedef for the row of the result vector from simulating particles.

Definition at line 28 of file typedefs.hpp.

  typedef arma::vec::fixed<3> vec_3d

Typedef for a fixed 3d arma vector.

Definition at line 36 of file typedefs.hpp.

Author

Generated automatically by Doxygen for Penning Trap Simulation from the source code.